Page MenuHomePhabricator

"No storage group configured for dev.wiki.local.wmftest.net" error running restbase under vagrant
Closed, ResolvedPublic

Description

After vagrant git-update restbase will no longer run:

{"name":"restbase","hostname":"vagrantve","pid":10621,"level":60,"err":{"message":"No storage group configured for dev.wiki.local.wmftest.net","name":"Error","stack":"Error: No storage group configured for dev.wiki.local.wmftest.net\n    at DB._resolveStorageGroup (/vagrant/srv/restbase/node_modules/restbase-mod-table-sqlite/lib/db.js:88:19)\n    at DB._tableName (/vagrant/srv/restbase/node_modules/restbase-mod-table-sqlite/lib/db.js:96:27)\n    at DB.createTable (/vagrant/srv/restbase/node_modules/restbase-mod-table-sqlite/lib/db.js:155:43)\n    at RBSQLite.createTable (/vagrant/srv/restbase/node_modules/restbase-mod-table-sqlite/index.js:37:22)\n    at tryCatcher (/vagrant/srv/restbase/node_modules/bluebird/js/release/util.js:16:23)\n    at /vagrant/srv/restbase/node_modules/bluebird/js/release/method.js:15:34\n    at handlerWrapper (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:422:37)\n    at next (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:408:42)\n    at Object.module.exports [as filter] (/vagrant/srv/restbase/node_modules/hyperswitch/lib/filters/validator.js:272:12)\n    at handlerWrapper (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:420:27)\n    at next (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:408:42)\n    at Object.module.exports [as filter] (/vagrant/srv/restbase/node_modules/hyperswitch/lib/filters/metrics.js:16:12)\n    at handlerWrapper (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:420:27)\n    at /vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:426:28\n    at P.resolve.then (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:229:24)\n    at tryCatcher (/vagrant/srv/restbase/node_modules/bluebird/js/release/util.js:16:23)"},"stack":"Error: No storage group configured for dev.wiki.local.wmftest.net\n    at DB._resolveStorageGroup (/vagrant/srv/restbase/node_modules/restbase-mod-table-sqlite/lib/db.js:88:19)\n    at DB._tableName (/vagrant/srv/restbase/node_modules/restbase-mod-table-sqlite/lib/db.js:96:27)\n    at DB.createTable (/vagrant/srv/restbase/node_modules/restbase-mod-table-sqlite/lib/db.js:155:43)\n    at RBSQLite.createTable (/vagrant/srv/restbase/node_modules/restbase-mod-table-sqlite/index.js:37:22)\n    at tryCatcher (/vagrant/srv/restbase/node_modules/bluebird/js/release/util.js:16:23)\n    at /vagrant/srv/restbase/node_modules/bluebird/js/release/method.js:15:34\n    at handlerWrapper (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:422:37)\n    at next (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:408:42)\n    at Object.module.exports [as filter] (/vagrant/srv/restbase/node_modules/hyperswitch/lib/filters/validator.js:272:12)\n    at handlerWrapper (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:420:27)\n    at next (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:408:42)\n    at Object.module.exports [as filter] (/vagrant/srv/restbase/node_modules/hyperswitch/lib/filters/metrics.js:16:12)\n    at handlerWrapper (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:420:27)\n    at /vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:426:28\n    at P.resolve.then (/vagrant/srv/restbase/node_modules/hyperswitch/lib/hyperswitch.js:229:24)\n    at tryCatcher (/vagrant/srv/restbase/node_modules/bluebird/js/release/util.js:16:23)","levelPath":"fatal/startup","msg":"Message not supplied","time":"2019-07-08T13:23:46.464Z","v":0}
{"name":"restbase","hostname":"vagrantve","pid":9215,"level":50,"message":"worker died, restarting","worker_pid":10621,"exit_code":1,"levelPath":"error/service-runner/master","msg":"worker died, restarting","time":"2019-07-08T13:23:48.494Z","v":0}

Thus far I've tried vagrant ssh, sudo service restbase stop; cd /vagrant/srv/restbase; rm -rf ./node_modules; npm i; sudo service restbase start and get the same error.

Event Timeline

Mvolz created this task.Jul 8 2019, 2:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2019, 2:34 PM
Pchelolo added a subscriber: Pchelolo.

This is due to the fact that SQLite backend now needs to have storage groups specified.

I solved this by following this discussion on the Wiki talk page.

So config.example.yaml should be updated?

Given this blocks devs from setting up VE this should probably be higher priority...

@Esanders this is one of 3 errors I have found (so far) that blocks devs from setting up VE properly (at least, if they do so by following the install instructions on the wiki).

There is also the /events path missing from the sys spec in projects/example.yaml and an issue that I have reported in T227842 .

Change 525426 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/vagrant@master] Configure storage groups in RESTBase.

https://gerrit.wikimedia.org/r/525426

Change 525426 merged by Ppchelko:
[mediawiki/vagrant@master] Configure storage groups in RESTBase.

https://gerrit.wikimedia.org/r/525426

Mvolz added a comment.Aug 2 2019, 1:55 PM

With the new patch I'm now getting

{"name":"restbase","hostname":"vagrantve","pid":15553,"level":60,"err":{"message":"ENOENT: no such file or directory, open '/vagrant/srv/restbase/projects/wmf_default.yaml'","name":"Error","stack":"Error: ENOENT: no such file or directory, open '/vagrant/srv/restbase/projects/wmf_default.yaml'\n    at Error (native)","code":"ENOENT","cause":{"errno":-2,"code":"ENOENT","syscall":"open","path":"/vagrant/srv/restbase/projects/wmf_default.yaml"},"isOperational":true,"errno":-2,"syscall":"open","path":"/vagrant/srv/restbase/projects/wmf_default.yaml"},"stack":"Error: ENOENT: no such file or directory, open '/vagrant/srv/restbase/projects/wmf_default.yaml'\n    at Error (native)","levelPath":"fatal/startup","msg":"Message not supplied","time":"2019-08-02T13:36:13.012Z","v":0}
Pchelolo added a comment.EditedAug 2 2019, 3:26 PM

@Mvolz Please do git pull in root vagrant directory and run vagrant provision again. You need to have this commit https://gerrit.wikimedia.org/r/c/mediawiki/vagrant/+/525646

Pchelolo closed this task as Resolved.Aug 6 2019, 4:15 PM
Pchelolo claimed this task.